﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WG_TooltipFromDS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("id", typeof(int)).AutoIncrement = true;
            dt.Columns.Add("Value", typeof(string));
            dt.Columns.Add("Tooltip", typeof(string));
            for (int i = 0; i < 20; i++)
            {
                dt.Rows.Add(new object[] { null, "Value " + i, "Tooltip " + i }); 
            }

            ultraGrid1.DataSource = dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Tooltip"].Hidden = true;
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            e.Row.Cells["Value"].ToolTipText = e.Row.Cells["Tooltip"].Value.ToString();
        }
    }
}
